﻿namespace CertificateAutorityServer.Model.Config
{
    public class CerServiceConfig
    {
        public string RootPath { get; set; } = "/home/cert";
        public RcaConfig DefaultRcaConfig { get; set; } = new RcaConfig();
    }

    public class RcaConfig
    {
        public string Name { get; set; } = "rca";
        public int Days { get; set; } = 36500;
        public string CommonName { get; set; } = "ZerovaRCA";
        public string OrganiaztionName { get; set; } = "ZEROVA TECHNOLOGY CO. LTD.";
        public string Country { get; set; } = "TW";
        public string State { get; set; } = "Taipei";
    }
}
