﻿using CAUtilLib;

namespace CertificateAutorityServer.Model.Rest
{
    public class CreateRootCaReq
    {
        public required string Name { get; set; }
        public required string CommonName { get; set; }
        public int Days { get; set; } = 365;
        public string SerialNumber { get; set; } = string.Empty;
        public string Country { get; set; } = string.Empty;
        public string State { get; set; } = string.Empty;
        public string OrganizationName { get; set; } = string.Empty;
        public HashAlgorithm Hash { get; set; } = HashAlgorithm.SHA512;
        public OpensslGenrsaRsa RsaKey { get; set; } = OpensslGenrsaRsa.Key4096;
        public string Key { get; set; } = string.Empty;
    }
}
