﻿using CAUtilLib;

namespace CertificateAutorityServer.Model.Rest
{
    public class CreateSubCaReq
    {
        public string Name { get; set; } = string.Empty;
        public string RootCa { get; set; } = string.Empty;
        public string Days { get; set; } = string.Empty;
        public string SerialNumber { get; set; } = string.Empty;
        public string CommonName { get; set; } = string.Empty;
        public string OrganizationName { get; set; } = string.Empty;
        public HashAlgorithm Hash { get; set; } = HashAlgorithm.SHA256;
        public OpensslGenrsaRsa RsaKey { get; set; } = OpensslGenrsaRsa.Key2048;
        public Certificateformat Caformat { get; set; } = Certificateformat.Pem;
    }
}
