﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CAUtilLib
{
    /// <summary>
    /// 使用SHA256/SHA512演算法進行簽名
    /// </summary>
    public enum HashAlgorithm
    {
        SHA256,
        SHA512
    }

    /// <summary>
    /// 生成crt 或者pem 格式
    /// </summary>
    public enum Certificateformat
    {
        Crt,
        Pem
    }

    /// <summary>
    /// 生成2048位元或4096位元的私鑰
    /// </summary>
    public enum OpensslGenrsaRsa : int
    {
        Key2048 = 2048,
        Key4096 = 4096
    }

    public enum OSType
    {
        Windows,
        Linux,
    }
}
